This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 888841 - anaconda-ks.cfg created by anaconda contains unknown commands
anaconda-ks.cfg created by anaconda contains unknown commands
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
: 883461 908592 (view as bug list)
Depends On: 929119
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-12-19 10:55 EST by Jan Stodola
Modified: 2014-01-30 03:33 EST (History)
10 users (show)

See Also:
Fixed In Version: pykickstart-1.99.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 14:01:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-ks.cfg (934 bytes, text/plain)
2012-12-19 10:57 EST, Jan Stodola
no flags Details
anaconda.log (15.73 KB, text/plain)
2012-12-19 10:57 EST, Jan Stodola
no flags Details
anaconda.packaging.log (523.90 KB, text/plain)
2012-12-19 10:57 EST, Jan Stodola
no flags Details
anaconda.program.log (61.74 KB, text/plain)
2012-12-19 10:58 EST, Jan Stodola
no flags Details
anaconda.storage.log (175.35 KB, text/plain)
2012-12-19 10:58 EST, Jan Stodola
no flags Details
syslog (66.62 KB, text/plain)
2012-12-19 10:58 EST, Jan Stodola
no flags Details
Screen shot for OBSERVATION 1, parse error in ks file (198.02 KB, image/png)
2013-08-22 15:07 EDT, IBM Bug Proxy
no flags Details
Screen shot for OBSERVATION 2, no IP address found (110.97 KB, image/png)
2013-08-22 15:07 EDT, IBM Bug Proxy
no flags Details
The kickstart file (942 bytes, text/plain)
2013-08-22 15:07 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description Jan Stodola 2012-12-19 10:55:06 EST
Description of problem:
/root/anaconda-ks.cfg created by anaconda contains an unknown command:

# cat /root/anaconda-ks.cfg
...
bootloader --location=mbr --boot-drive=sda
 --type=lvm
...

See steps to reproduce.

Version-Release number of selected component (if applicable):
Fedora 18-TC3
anaconda-18.37.3

How reproducible:
always

Steps to Reproduce:
1. start graphical installation 
2. go to "Installation Destination", select all drives and click "Continue"
3. check "I don't need help, let me customize disk partitioning", click "Reclaim space"
4. remove all existing partitions
5. click "Click here to create then automatically."
6. finish partitioning
7. finish the installation and reboot
8. check /root/anaconda-ks.cfg
  
Actual results:
unknown command in kickstart:

# ksvalidator anaconda-ks.cfg 
The following problem occurred on line 24 of the kickstart file:

Unknown command: --type=lvm


Expected results:
Valid /root/anaconda-ks.cfg
Comment 1 Jan Stodola 2012-12-19 10:57:27 EST
Created attachment 666197 [details]
anaconda-ks.cfg
Comment 2 Jan Stodola 2012-12-19 10:57:33 EST
Created attachment 666198 [details]
anaconda.log
Comment 3 Jan Stodola 2012-12-19 10:57:37 EST
Created attachment 666199 [details]
anaconda.packaging.log
Comment 4 Jan Stodola 2012-12-19 10:58:07 EST
Created attachment 666200 [details]
anaconda.program.log
Comment 5 Jan Stodola 2012-12-19 10:58:11 EST
Created attachment 666201 [details]
anaconda.storage.log
Comment 6 Jan Stodola 2012-12-19 10:58:14 EST
Created attachment 666202 [details]
syslog
Comment 7 Chris Lumens 2012-12-19 10:58:55 EST
I think this is a pykickstart bug, but I've not been able to reproduce it outside of anaconda.
Comment 8 Chris Lumens 2013-01-03 10:16:26 EST
Oh, I see the pykickstart side.  There may potentially also be an anaconda part to this, given your step #5.
Comment 9 Chris Lumens 2013-02-07 09:41:22 EST
*** Bug 908592 has been marked as a duplicate of this bug. ***
Comment 10 Jan Stodola 2013-03-29 05:55:27 EDT
Bug 929119 prevents from verification of this bug, setting bug dependency accordingly.
Comment 11 Jan Stodola 2013-07-02 05:06:12 EDT
[root@localhost ~]# rpm -q pykickstart
pykickstart-1.99.32-1.fc19.noarch
[root@localhost ~]# ksvalidator anaconda-ks.cfg
[root@localhost ~]# echo $?
0
[root@localhost ~]# grep autopart anaconda-ks.cfg 
autopart --type=lvm
[root@localhost ~]#

Moving to VERIFIED.
Comment 12 Chris Lumens 2013-08-22 14:56:23 EDT
*** Bug 883461 has been marked as a duplicate of this bug. ***
Comment 13 IBM Bug Proxy 2013-08-22 15:07:04 EDT
Created attachment 789318 [details]
Screen shot for OBSERVATION 1, parse error in ks file
Comment 14 IBM Bug Proxy 2013-08-22 15:07:17 EDT
Created attachment 789319 [details]
Screen shot for OBSERVATION 2, no IP address found
Comment 15 IBM Bug Proxy 2013-08-22 15:07:32 EDT
Created attachment 789320 [details]
The kickstart file
Comment 16 Steve Tyler 2013-08-22 16:08:03 EDT
(In reply to IBM Bug Proxy from comment #14)
> Created attachment 789319 [details]
> Screen shot for OBSERVATION 2, no IP address found

The last two messages in the screenshot are:
anaconda[868]: Starting installer, one moment...
anaconda[868]: 08:09:02 No IP addresses found, cannot continue installation.
Comment 17 Fedora End Of Life 2013-12-21 10:52:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 IBM Bug Proxy 2014-01-30 03:33:24 EST
------- Comment From onmahaja@in.ibm.com 2014-01-30 08:27 EDT-------
CLOSED WONTFIX from IBM side.

Note You need to log in before you can comment on or make changes to this bug.